package nu.fw.jeti.jabber.handlers;

import nu.fw.jeti.jabber.elements.Extension;
import nu.fw.jeti.jabber.elements.IQVersion;
import org.xml.sax.Attributes;

/* 
 *	Jeti, a Java Jabber client, Copyright (C) 2002 E.S. de Boer  
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *	For questions, comments etc, 
 *	use the website at http://jeti.jabberstudio.org
 *  or mail/IM me at jeti@jabber.org
 */

public class IQVersionHandler extends ExtensionHandler
{
	private String os;
	private String name;
	private String version;

	public void startHandling(Attributes attr)
	{
	    reset();
	}

	private void reset()
	{
	    os=name=version=null;

	}

	public void endElement(String name)
	{
		if("os".equals(name)) os = getText();
		else if("name".equals(name)) this.name = getText();
		else if("version".equals(name)) version = getText();
		else nu.fw.jeti.util.Log.notParsedXML("iq:auth " + name + getText());
		clearCurrentChars();
	}

	public Extension build()
	{
		Extension e = new IQVersion(name,version ,os);
		reset();
	    return e;
	}
}
/*
 * Overrides for emacs
 * Local variables:
 * tab-width: 4
 * End:
 */
